Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
kthttp.h File Reference

HTTP utilities. More...

`#include <ktcommon.h>`
`#include <ktutil.h>`
`#include <ktsocket.h>`
`#include <ktthserv.h>`

## Classes
class | kyototycoon::URL
| URL accessor. More...
class | kyototycoon::HTTPClient
| HTTP client. More...
class | kyototycoon::HTTPServer
| HTTP server. More...
class | kyototycoon::HTTPServer::Logger
| Interface to log internal information and errors. More...
class | kyototycoon::HTTPServer::Worker
| Interface to process each request. More...
class | kyototycoon::HTTPServer::Session
| Interface to access each session data. More...
class | kyototycoon::HTTPServer::Session::Data
| Interface of session local data. More...
class | kyototycoon::HTTPServer::WorkerAdapter
| Adapter for the worker.
## Namespaces
namespace | kyototycoon
| All symbols of Kyoto Tycoon.

## Detailed Description

HTTP utilities.